package com.fzm.mall.server.front.user.service;

import com.fzm.mall.server.front.goods.model.vo.PageVo;
import com.fzm.mall.server.front.user.model.Notice;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.front.user.model.vo.NoticeVo;

import java.util.List;

/**
 * <p>
 * 消息中心-公告 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-06-02
 */
public interface INoticeService extends IService<Notice> {

    List<NoticeVo> getWithOutUid(PageVo pageVo);

    boolean isRead(String uid,String n);

    Integer getCount();

    void addNotice(String uid, String noticeId);
}
